Phone POS

Why I can't install your application on my smartphone?

It is possible that the characteristics of your device do not meet the requirements for installing the Application. Make sure that:

  • your device is running Android OS v. 8.0 and higher
  • the device has an imbedded NFC module
  • the location of your Google ID corresponds to your region.

Are you satisfied with the answer?